InstantiatedTermDocs (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.instantiated.InstantiatedTermDocs class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedTermDocs

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedTermDocs

All Implemented Interfaces:
  Closeable, TermDocs

Direct Known Subclasses:
  InstantiatedTermPositions

    public class InstantiatedTermDocs

extends Object
implements TermDocs

A `TermDocs` navigating an `InstantiatedIndexReader`.

Field Summary
`protected InstantiatedTermDocumentInformation` | `currentDocumentInformation`
`protected InstantiatedTerm` | `currentTerm`

Constructor Summary
`InstantiatedTermDocs(InstantiatedIndexReader reader)`

Method Summary
`void` | `close()` Does nothing
`int` | `doc()` Returns the current document number.
`int` | `freq()` Returns the frequency of the term within the current document.
`boolean` | `next()` Moves to the next pair in the enumeration.
`int` | `read(int[] docs, int[] freqs)` Attempts to read multiple entries from the enumeration, up to length of docs.
`void` | `seek(Term term)` Sets this to the data for a term.
`void` | `seek(TermEnum termEnum)` Sets this to the data for the current term in a `TermEnum`.
`boolean` | `skipTo(int target)` Skips entries to the first beyond the current whose document number is greater than or equal to target.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentDocumentInformation

    protected InstantiatedTermDocumentInformation currentDocumentInformation

### currentTerm

    protected InstantiatedTerm currentTerm

Constructor Detail

### InstantiatedTermDocs

    public InstantiatedTermDocs(InstantiatedIndexReader reader)

Method Detail

### seek

    public void seek(Term term)

  Description copied from interface: `TermDocs`
  Sets this to the data for a term. The enumeration is reset to the start of the data for this term.

  Specified by:
    `seek` in interface `TermDocs`

### seek

    public void seek(TermEnum termEnum)

  Description copied from interface: `TermDocs`
  Sets this to the data for the current term in a `TermEnum`. This may be optimized in some implementations.

  Specified by:
    `seek` in interface `TermDocs`

### doc

    public int doc()

  Description copied from interface: `TermDocs`
  Returns the current document number.

  This is invalid until `TermDocs.next()` is called for the first time.

  Specified by:
    `doc` in interface `TermDocs`

### freq

    public int freq()

  Description copied from interface: `TermDocs`
  Returns the frequency of the term within the current document.

  This is invalid until `TermDocs.next()` is called for the first time.

  Specified by:
    `freq` in interface `TermDocs`

### next

    public boolean next()

  Description copied from interface: `TermDocs`
  Moves to the next pair in the enumeration.

  Returns true iff there is such a next pair in the enumeration. Once this returns false you should not call any of the other methods.

  Specified by:
    `next` in interface `TermDocs`

### read

    public int read(int[] docs,
                    int[] freqs)

  Description copied from interface: `TermDocs`
  Attempts to read multiple entries from the enumeration, up to length of docs. Document numbers are stored in docs, and term frequencies are stored in freqs. The freqs array must be as long as the docs array.

  Returns the number of entries read. Zero is only returned when the stream has been exhausted.

  Specified by:
    `read` in interface `TermDocs`

### skipTo

    public boolean skipTo(int target)

  Skips entries to the first beyond the current whose document number is greater than or equal to target.

  Returns true if there is such an entry.

  Behaves as if written:

         boolean skipTo(int target) {
           do {
             if (!next())
                   return false;
           } while (target > doc());
           return true;
         }

  This implementation is considerably more efficient than that.

  Specified by:
    `skipTo` in interface `TermDocs`

### close

    public void close()

  Does nothing

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in interface `TermDocs`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD